! Subrotina transforma (item e)
subroutine transforma (y,x)

	real :: x, y
	real :: pi

	pi = acos(-1.0)

	x = y*pi/180.0

end subroutine transforma

!------------------------------------------------

! Subrotina fatorial (item f)
subroutine fatorial (n,fat)

	integer :: n, fat
	integer :: i

	fat = 1
	
	do i = 1, n
		fat = fat*i
	end do

end subroutine fatorial

!------------------------------------------------

! Subrotina somar (item h)
subroutine somar (c,n,soma)

real :: soma
integer :: n
real,dimension(n) :: c

soma = sum(c)

end subroutine somar